> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Current Import Operations > Get the current import operation. Permission required: `run-import` ### Changelog | Version | Description | | ---------------- | ------------| |3.0.0 | Added | ## OpenAPI ````json GET /api/v1/getCurrentImportOperation { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Settings" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Settings" }, { "name": "Audit" }, { "name": "Cloud" }, { "name": "DNS" }, { "name": "E2E" }, { "name": "Import" }, { "name": "Bulk User Import" }, { "name": "Instances" }, { "name": "Federation" }, { "name": "Moderation" }, { "name": "Device Management" }, { "name": "Password policy" }, { "name": "Video Conference" }, { "name": "Media Calls" } ], "paths": { "/api/v1/getCurrentImportOperation": { "parameters": [], "get": { "summary": "Get Current Import Operations", "operationId": "get-api-v1-getCurrentImportOperation", "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "operation": { "type": "object", "properties": { "_id": { "type": "string" }, "type": { "type": "string" }, "importerKey": { "type": "string" }, "ts": { "type": "integer" }, "status": { "type": "string" }, "valid": { "type": "boolean" }, "user": { "type": "string" }, "_updatedAt": { "type": "string" } } } } }, "examples": { "Success": { "value": { "success": true, "operation": { "_id": "7PbvsnKJD9ZAqw38C", "type": "Pending Avatars", "importerKey": "pending-avatars", "ts": 1635337234169, "status": "importer_done", "valid": true, "user": "d26x6zSkaPSe5gCyy", "_updatedAt": "2021-10-27T12:20:34.184Z" } } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/forbiddenError" } }, "description": "Get the current import operation.\nPermission required: `run-import`\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|3.0.0 | Added |", "parameters": [ { "$ref": "#/components/parameters/X-User-Id" }, { "$ref": "#/components/parameters/X-Auth-Token" } ], "tags": [ "Import" ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "forbiddenError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": false, "error": "User does not have the permissions required for this action [error-unauthorized]" } } } } } } }, "parameters": { "X-User-Id": { "name": "X-User-Id", "in": "header", "required": true, "schema": { "type": "string" }, "example": "CkCPNctrgCDfmWLqC", "description": "The user ID." }, "X-Auth-Token": { "name": "X-Auth-Token", "in": "header", "required": true, "schema": { "type": "string" }, "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE", "description": "The authentication token." } } } } ````